Skip to main content
POST
/
api
/
mcap
/
create-ingest
Create MCAP ingest
curl --request POST \
  --url https://api-prod.nomadicml.com/api/mcap/create-ingest \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filename": "<string>",
  "size_bytes": 2,
  "sha256": "<string>",
  "content_type": "<string>",
  "folder_id": "<string>",
  "chunk_size": 2
}
'
import requests

url = "https://api-prod.nomadicml.com/api/mcap/create-ingest"

payload = {
    "filename": "<string>",
    "size_bytes": 2,
    "sha256": "<string>",
    "content_type": "<string>",
    "folder_id": "<string>",
    "chunk_size": 2
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    filename: '<string>',
    size_bytes: 2,
    sha256: '<string>',
    content_type: '<string>',
    folder_id: '<string>',
    chunk_size: 2
  })
};

fetch('https://api-prod.nomadicml.com/api/mcap/create-ingest', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "mcap_ingest_id": "<string>",
  "upload_url": "<string>",
  "upload_headers": {},
  "source_uri": "<string>"
}
{
  "detail": "<string>",
  "message": "<string>",
  "error": "<string>"
}
{
  "detail": "<string>",
  "message": "<string>",
  "error": "<string>"
}
{
  "detail": "<string>",
  "message": "<string>",
  "error": "<string>"
}
{
  "detail": "<string>",
  "message": "<string>",
  "error": "<string>"
}
{
  "detail": "<string>",
  "message": "<string>",
  "error": "<string>"
}
{
  "detail": "<string>",
  "message": "<string>",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <NOMADIC_API_KEY>.

Body

application/json
filename
string
required
size_bytes
integer
required
Required range: x >= 1
sha256
string
required
content_type
string
folder_id
string
scope
enum<string>
Available options:
user,
org
chunk_size
integer
Required range: x >= 1

Response

Successful response.

mcap_ingest_id
string
upload_url
string<uri>
upload_headers
object
source_uri
string